Bug 11234 - net ads dns gethostbyname crashes with an error in TALLOC_FREE if you enter invalid values
net ads dns gethostbyname crashes with an error in TALLOC_FREE if you enter i...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Tools
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-24 01:49 UTC by Richard Sharpe
Modified: 2015-05-04 18:46 UTC (History)
2 users (show)

See Also:


Attachments
git-am fix for 4.2.next, 4.1.next (1.04 KB, patch)
2015-04-24 22:29 UTC, Jeremy Allison
jra: review? (rsharpe)
rsharpe: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Sharpe 2015-04-24 01:49:01 UTC
We were failing to initialize conn to NULL and then trying to free it after an error where conn was not initialized.

Jeremy has committed my patch to master. However, a back port to 4.1 and 4.0 would be good.
Comment 1 Jeremy Allison 2015-04-24 22:29:55 UTC
Created attachment 10987 [details]
git-am fix for 4.2.next, 4.1.next

Richard, please +1 and I'll re-assign to Karolin.
Comment 2 Jeremy Allison 2015-04-25 16:31:11 UTC
Re-assigning to Karolin for inclusion in 4.1.next, 4.2.next.

Jeremy.
Comment 3 Karolin Seeger 2015-04-27 19:53:30 UTC
Pushed to autobuild-v4-[1|2]-test.
Comment 4 Karolin Seeger 2015-05-04 18:46:13 UTC
Pushed to both branches.
Closing out bug report.

Thanks!